Help installing Mumo on Ubuntu 18

It crashed, it is bugged, ...
Post Reply
pcgamez
Posts: 1
Joined: 06 May 2020, 00:57

Help installing Mumo on Ubuntu 18

Post by pcgamez »

Hey there

I followed this guide to install mumo on my virtual server running mumble-server and ubuntu 18 - https://wiki.natenom.de/en/mumble/tools ... stallation

I followed the steps, however I get this error upon trying to run the script:

Code: Select all

/tmp/tmpVJaati.ice:1: error: Can't open include file "Ice/SliceChecksumDict.ice"
    #include <Ice/SliceChecksumDict.ice>
1 error in preprocessor.
Traceback (most recent call last):
  File "mumo.py", line 545, in <module>
    ret = do_main_program()
  File "mumo.py", line 152, in do_main_program
    dynload_slice(prx)
  File "mumo.py", line 115, in dynload_slice
    load_slice(dynslicefilepath)
  File "mumo.py", line 90, in load_slice
    Ice.loadSlice('', slicedirs + [slice])
RuntimeError: Slice preprocessing failed for `'
!! 05/06/20 00:46:13.455 error: communicator not destroyed during global destruction.
Someone else has posted the same issue to github a year ago but there hasn't been a response. I thought someone here might be able to help me get it working?

Thanks!

User avatar
kissaki
Team member
Team member
Posts: 1452
Joined: 09 Jan 2010, 12:15
Contact:

Re: Help installing Mumo on Ubuntu 18

Post by kissaki »

It looks like you enabled Ice but do not have it installed. It package should be called something like zeroc-ice-slice.

Post Reply